**`Dhamodharan Thangavel`[NAME]** -NL- Email: **`t.dhamodharan@gmail.com`[EMAILS_EMAIL]** -NL- Mob: **`+91 9952920500`[PHONES_PHONE]** -NL- **`SUMMARY:`[SUMMARY_HEADING]** -NL-  Around 11 years of experience in software development -NL-  Domain exposed to Manufacturing, Media Communication, Travelling, Credit -NL- Reporting -NL-  Hands on experience in Spark, Hadoop, AEM, Spring Framework, Struts, -NL- Hibernate, JSF -NL- **`SKILLS`[SKILLS_HEADING]** -NL- Adobe -NL- AEM 6.1, 6.2, CQ 5 -NL- Big Data -NL- Hadoop, Spark, kafka, Spark ML -NL- Analytics -NL- Google Tag Management, R, Sas, Sales force -NL- J2EE -NL- Microservices, Struts , Spring, JSF, Hibernate, REST, Spring boot -NL- Javascript Angular JS, React JS, Scala, Python -NL- Integration Camel, Mule, Spring Integration, BPEL -NL- NoSQL DB -NL- Mongo, Cassandra, Hbase -NL- Testing -NL- Junit, TestNG, Selenium, Cucumber -NL- Tools -NL- Dev ops -NL- Putty, Docker, Jenkins -NL- Source -NL- Git, SVN, Maven -NL- Control -NL- Cloud -NL- AWS, Azure, Mesophere, Appdynamics, splunk, kibana, Openshift -NL- **`PROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- 1. **`Asset Finance Mortgaging `[EMPLOYER_ROLE]**-NL- Nov 2018 – Feb 2019 -NL- Technology: Zambezi framework, Springboot, REACT JS, Pivotal cloudfoundary, -NL- AMBIT (.Net application to fetch credit Info), ping access(security -NL- authenticator),Spark, Spring batch, Spark ML, Livy, Splice machine, Hibernate, -NL- RESTFul, kafka, Jolt, Openshift, REACT JS, Bamboo, Stratosphere, mesosphere -NL- Responsibilities: -NL- Create a service with Zambezi, pass to security authenticator to get the access -NL- Create the code for asset and with code call to customer care to know about the -NL- credit details -NL- And load sanctioned or not -NL- Embed Adobe analytics tag -NL- Page 1 of 5 -NL- Site: https://www.lombard.co.uk/ -NL- 2. Commission Portal at **`UST Global for Anthem`[EMPLOYER_COMPANY_NAME]** -NL- Duration: Jan 2018 – Nov 2018 -NL- Role: **`Associate Architect`[EMPLOYER_ROLE]** -NL- Technology: Spring Boot, Spark, Spring batch, Spark ML, Livy, Splice machine, -NL- Hibernate, RESTFul, kafka, Jolt, Openshift, REACT JS, Bamboo, Stratosphere -NL- Application used for the give the commission for brokers depends on the different -NL- rules set by the business. Microservices are orchestrated by Camel service. Spark -NL- used to display the trends of the commission in the year. Used Machine learning -NL- techniques to display the insurance policies -NL- Responsibilities: -NL-  Designed microservices architecture for system -NL-  Implemented Spring Batch for DMS system application -NL-  Responsible developing and training model with previous data. -NL-  Log analysis with Spark jobs -NL- 3. Credit Report Portal at **`UST Global for Consumer/ Commercial business`[EMPLOYER_COMPANY_NAME]** -NL- Duration: Jan 2017 – Dec2017 -NL- Role: **`Associate Architect`[EMPLOYER_ROLE]** -NL- Technology: AEM 6.1, Spring, Xml, Hibernate, RESTFul, Kinesis, Jolt, AWS, angular -NL- JS, Spark -NL- Application used for the give the credit report of person or organization. The -NL- information will be derived from different information source based on certain -NL- criteria. After collating the response from different sources, core system will take a -NL- decision on credit report. Information from different sources is streamlined by -NL- enterprise integration platform. -NL- Responsibilities: -NL-  Developed OSGI/microservices services to fetch information from different -NL- sources -NL-  Implemented Spring Integration for application -NL-  Responsible externalizing tomcat configuration, JMX health check. -NL-  Developed the XML and json transformation for the services. -NL-  Tuned performance using Rest client pooling -NL- 4. Cruise Personalizer at **`UST Global for Princess Cruises`[EMPLOYER_COMPANY_NAME]** -NL- Duration: March 2015 – Dec 2016 -NL- Role: **`Lead`[EMPLOYER_ROLE]** -NL- Technology: AEM, Sales force,Hibernate, JAXB, Jquery, spring, Oracle, WAS Server -NL- Page 2 of 5 -NL- This application facilitates the passenger who booked for cruise can be able to make -NL- the personal preference over their cruise. Customer can make their reservation on -NL- the facilities like excursions, dining, paying gratuities etc. they are going to use. -NL- Application has the batch support program to get the details updated from other -NL- systems of the enterprise. This make passenger hassle free time during the cruise -NL- Responsibilities: -NL-  Responsible for building REST data services as JSON input for Mustache -NL- template. -NL-  Responsible for making xml schema change and generating xsd. -NL-  Responsible for identifying the Mainframe dependencies with existing -NL- functionalities. -NL-  Responsible for developing Junit test cases using Mocking concepts. -NL-  Analyzing the table (dominos db) and mapping the queries with oracle. -NL- 5. **`Fresh Production Planning`[EMPLOYER_ROLE]** at **`UST Global for Walmart`[EMPLOYER_COMPANY_NAME]** -NL- Duration: January 2014 – January 2015 -NL- Technology: AEM 6.1 , Hibernate, REST, Angular, Guice, DB2, WAS Server, Sales -NL- force -NL- **`Fresh Production Planning`[EMPLOYER_ROLE]** deals with Fresh bakery item. The Application is used in -NL- store to store the information of the production group and ingredients that it should -NL- contain. This will also capture life item of fresh product to keep the supply and -NL- demand in balance, hence reducing the waste and increase turnover of the -NL- organization. -NL- Responsibilities: -NL-  Responsible for estimation of the time required for the development. -NL-  Involved in developing UI, Angular modules for the data representation. -NL-  Responsible for developing the data layer with hibernate. -NL-  Responsible for integration development layer with camel framework. -NL-  Responsible for REST design and development of services to communicate with -NL- UI. -NL- 6. Item File v1 **`Fresh Production Planning`[EMPLOYER_ROLE]** at **`UST Global for Walmart`[EMPLOYER_COMPANY_NAME]** -NL- Duration: August 2013 – January 2014 -NL- Technology: CQ5, Salesforce, JRules, WAS Server, JMS -NL- To Maintain the item details of the Item for different regions like US. Application is -NL- used by the walmart store to create an for different regions -NL- Responsibilities: -NL-  Responsible for estimation of the time required for the development. -NL-  Involved in developing UI, Angular modules for the data representation. -NL-  Created Recommendation system for forecast to avoid wastage of inventory -NL-  Responsible for message driven bean layer(JMS) to avoid item creation time. -NL- 7. **`Automated Revenue Collection`[EMPLOYER_ROLE]** at **`UST Global for Walmart`[EMPLOYER_COMPANY_NAME]** -NL- Page 3 of 5 -NL- Duration: Jan 2013 – July 2013 -NL- Technology: Hibernate, REST, Jquery, Guice, Power Mock, Informix DB, Jetty Server -NL- Automated revenue generation for the private fleet. Private fleet moves the -NL- merchandise from distribution centers to stores. Instead of trailer being empty while -NL- coming back, merchandise is picked up from suppliers and delivered to wal-mart -NL- distribution centers to make some revenue. This system is used to collect the -NL- revenue once the loads are moved. -NL- Responsibilities: -NL-  Responsible for getting the clarifications from onsite. -NL-  Involved in developing the DAO classes, developing injection modules. -NL-  Involved in Bug Fixing, sonar code compliance -NL-  Responsible for improving code coverage using EMMA tools. -NL- 8. Project Name: **`CNS Portal`[EMPLOYER_ROLE]** at ITC Infotech for FINNAIR -NL- Duration: Apr 2011 – Nov 2012 -NL- Technology: water fall Dev Methods, J2EE, JSF, spring, Hibernate, REST -NL- Description: Customer Notification System is for notify customer when there is a -NL- change in Schedule of flights. Customer will be notified using SMS or e- Mail. The -NL- system will be handled by FinnAir staff. They will search for the flight, select the -NL- customer and send their custom message -NL- Responsibilities: -NL-  Designing front end using JSF, Generating HBM files, developing spring service -NL- class -NL-  Involved in developing the rest client and Service -NL-  Involved in bugfixing and developing JUnit cases, Database scripts -NL- 9. **`NBPTS NBRIC Development`[EMPLOYER_ROLE]** at **`Wipro for NBPTS`[EMPLOYER_COMPANY_NAME]** -NL- Duration: Mar 2010 – Mar 2011 -NL- Technology: J2EE, Struts1.2, Hibernate, SVN, JS/AJAX -NL- Description: NBPTS is an independent, nonprofit, nonpartisan and nongovernmental -NL- organization. It was formed to advance the quality of teaching and learning by -NL- developing professional standards for accomplished teaching, creating a voluntary -NL- system to certify teachers who meet those standards and integrating certified -NL- teachers into educational reform efforts -NL- Responsibilities: -NL-  Involved in development of warehouse Model -NL-  Involved in Code review -NL-  Involved in bugfixing and deployment in weblogic server -NL-  Involved in report template preparation using XSL, XSLT -NL- 10.Project Name: Asset Data Management at **`Kingshir Technologies`[EMPLOYER_COMPANY_NAME]** -NL- Duration: Sep 2007 – Nov 2009 -NL- Page 4 of 5 -NL- Technology: J2EE, Struts, JSP, Javascript, MS SQL -NL- Description: ADMS is an Inventory Management Tool that facilitates Managing the -NL- inventory of large -NL- inventory. ADMS takes care about the entire cycle of -NL- Process management and their transaction taken Quotation for product, product -NL- Cost-Analysis , vendorfinalization and transaction related Purchase voucher, -NL- Payment order .Front end JSP and back end Java, Servlets, JavaBeans for System -NL- Integration -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Full Name: DHAMODHARAN THANGAVEL -NL- Education Qualification : **`B.E`[EDUCATION_DEGREE]** (**`Computer Science & Engineering`[EDUCATION_COURSE]**) **`Kongu -NL- Engineering College, Erode`[EDUCATION_INSTITUTE]** -NL- Current Location: Trivandrum, India -NL- Page 5 of 5 -NL- 